Upstream information

CVE-2011-3079 at MITRE

Description

The Inter-process Communication (IPC) implementation in Google Chrome before 18.0.1025.168, as used in Mozilla Firefox before 38.0 and other products, does not properly validate messages, which has unspecified impact and attack vectors.

SUSE information

Overall state of this security issue: Ignore

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 760264 [RESOLVED / FIXED], 930622 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Desktop Applications 15
  • MozillaFirefox >= 52.7.3-1.35
  • MozillaFirefox-devel >= 52.7.3-1.35
  • MozillaFirefox-translations-common >= 52.7.3-1.35
  • MozillaFirefox-translations-other >= 52.7.3-1.35
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA MozillaFirefox
SUSE Linux Enterprise Workstation Extension 15
  • MozillaThunderbird >= 52.8-1.2
  • MozillaThunderbird-devel >= 52.8-1.2
  • MozillaThunderbird-translations-common >= 52.8-1.2
  • MozillaThunderbird-translations-other >= 52.8-1.2
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA MozillaThunderbird
openSUSE 13.1
  • MozillaFirefox >= 38.0.1-74.1
  • MozillaFirefox-branding-upstream >= 38.0.1-74.1
  • MozillaFirefox-buildsymbols >= 38.0.1-74.1
  • MozillaFirefox-debuginfo >= 38.0.1-74.1
  • MozillaFirefox-debugsource >= 38.0.1-74.1
  • MozillaFirefox-devel >= 38.0.1-74.1
  • MozillaFirefox-translations-common >= 38.0.1-74.1
  • MozillaFirefox-translations-other >= 38.0.1-74.1
  • MozillaThunderbird >= 31.7.0-70.53.1
  • MozillaThunderbird-buildsymbols >= 31.7.0-70.53.1
  • MozillaThunderbird-debuginfo >= 31.7.0-70.53.1
  • MozillaThunderbird-debugsource >= 31.7.0-70.53.1
  • MozillaThunderbird-devel >= 31.7.0-70.53.1
  • MozillaThunderbird-translations-common >= 31.7.0-70.53.1
  • MozillaThunderbird-translations-other >= 31.7.0-70.53.1
  • libfreebl3 >= 3.18.1-55.1
  • libfreebl3-32bit >= 3.18.1-55.1
  • libfreebl3-debuginfo >= 3.18.1-55.1
  • libfreebl3-debuginfo-32bit >= 3.18.1-55.1
  • libsoftokn3 >= 3.18.1-55.1
  • libsoftokn3-32bit >= 3.18.1-55.1
  • libsoftokn3-debuginfo >= 3.18.1-55.1
  • libsoftokn3-debuginfo-32bit >= 3.18.1-55.1
  • mozilla-nss >= 3.18.1-55.1
  • mozilla-nss-32bit >= 3.18.1-55.1
  • mozilla-nss-certs >= 3.18.1-55.1
  • mozilla-nss-certs-32bit >= 3.18.1-55.1
  • mozilla-nss-certs-debuginfo >= 3.18.1-55.1
  • mozilla-nss-certs-debuginfo-32bit >= 3.18.1-55.1
  • mozilla-nss-debuginfo >= 3.18.1-55.1
  • mozilla-nss-debuginfo-32bit >= 3.18.1-55.1
  • mozilla-nss-debugsource >= 3.18.1-55.1
  • mozilla-nss-devel >= 3.18.1-55.1
  • mozilla-nss-sysinit >= 3.18.1-55.1
  • mozilla-nss-sysinit-32bit >= 3.18.1-55.1
  • mozilla-nss-sysinit-debuginfo >= 3.18.1-55.1
  • mozilla-nss-sysinit-debuginfo-32bit >= 3.18.1-55.1
  • mozilla-nss-tools >= 3.18.1-55.1
  • mozilla-nss-tools-debuginfo >= 3.18.1-55.1
Patchnames:
openSUSE-2015-374
openSUSE-2015-375
openSUSE Leap 15.0
  • MozillaFirefox >= 60.0-lp150.2.2
  • MozillaFirefox-translations-common >= 60.0-lp150.2.2
  • MozillaFirefox-translations-other >= 60.0-lp150.2.2
  • MozillaThunderbird >= 52.7-lp150.2.16
  • MozillaThunderbird-translations-common >= 52.7-lp150.2.16
  • MozillaThunderbird-translations-other >= 52.7-lp150.2.16
  • chromium >= 66.0.3359.170-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA MozillaFirefox
openSUSE Leap 15.0 GA MozillaThunderbird
openSUSE Leap 15.0 GA chromium
openSUSE Leap 42.1
  • MozillaFirefox >= 41.0.2-1.2
  • MozillaFirefox-translations-common >= 41.0.2-1.2
  • MozillaThunderbird >= 38.3.0-2.2
  • MozillaThunderbird-translations-common >= 38.3.0-2.2
Patchnames:
openSUSE Leap 42.1 GA MozillaFirefox
openSUSE Leap 42.1 GA MozillaThunderbird
openSUSE Leap 42.2
  • MozillaFirefox >= 49.0.2-37.1
  • MozillaFirefox-translations-common >= 49.0.2-37.1
  • MozillaThunderbird >= 45.4.0-23.1
  • MozillaThunderbird-translations-common >= 45.4.0-23.1
Patchnames:
openSUSE Leap 42.2 GA MozillaFirefox
openSUSE Leap 42.2 GA MozillaThunderbird
openSUSE Leap 42.3
  • MozillaFirefox >= 52.2-58.2
  • MozillaFirefox-translations-common >= 52.2-58.2
  • MozillaThunderbird >= 52.2.1-42.1
  • MozillaThunderbird-translations-common >= 52.2.1-42.1
Patchnames:
openSUSE Leap 42.3 GA MozillaFirefox
openSUSE Leap 42.3 GA MozillaThunderbird
openSUSE Tumbleweed
  • MozillaFirefox >= 50.1.0-1.1
  • MozillaFirefox-branding-upstream >= 50.1.0-1.1
  • MozillaFirefox-buildsymbols >= 50.1.0-1.1
  • MozillaFirefox-devel >= 50.1.0-1.1
  • MozillaFirefox-translations-common >= 50.1.0-1.1
  • MozillaFirefox-translations-other >= 50.1.0-1.1
  • MozillaThunderbird >= 45.5.1-1.1
  • MozillaThunderbird-buildsymbols >= 45.5.1-1.1
  • MozillaThunderbird-devel >= 45.5.1-1.1
  • MozillaThunderbird-translations-common >= 45.5.1-1.1
  • MozillaThunderbird-translations-other >= 45.5.1-1.1
  • chromedriver >= 55.0.2883.75-3.1
  • chromium >= 55.0.2883.75-3.1
Patchnames:
openSUSE Tumbleweed GA MozillaFirefox
openSUSE Tumbleweed GA MozillaThunderbird
openSUSE Tumbleweed GA chromedriver